<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package blogists
 */

get_header(); ?>

	<div class="index-page">
		<div class="container-fluid">
			<div class="rows">

				<div class="col-md-12">
					<?php
					$sticky = get_option( 'sticky_posts' );
					$args = array(
						'posts_per_page' => 1,
						'post__in'  => $sticky,
						'ignore_sticky_posts' => 1
					);
					$query = new WP_Query( $args );
					if ( isset($sticky[0]) ) { ?>
						<div id="stickies-post">
							<div class="item image1">
					            <a href="<?php the_permalink(); ?>">
					            	<?php the_post_thumbnail('full', array('class' => 'img-responsive')); ?>
					            	<div class="post-caption">					    	
						      			<h3><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h3>
						      			<div class="sticky-cats"><?php the_category(); ?></div>
						      		</div>
					            </a>	                    
					        </div>	
						</div><!-- #post-## -->
					    <?php }  
					?>
				</div>

				<div class="col-md-8 col-sm-12">
					<?php if ( have_posts() ) : ?>

						<?php /* Start the Loop */ ?>
						<?php while ( have_posts() ) : the_post(); ?>
							<?php
								/* Include the Post-Format-specific template for the content.
								 * If you want to overload this in a child theme then include a file
								 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
								 */
								get_template_part( 'content', get_post_format() );
							?>
						<?php endwhile; ?>

						<?php // blogists_content_nav( 'nav-below' ); ?>
				        <?php blogists_pagination(); ?>
					<?php else : ?>

						<?php get_template_part( 'no-results', 'index' ); ?>
					<?php endif; ?>
				</div><!-- .col-md-8 -->

				<?php get_sidebar(); ?>

			</div><!-- .rows -->
		</div><!-- .container-fluid -->
	</div><!-- .index-page -->
<?php get_footer(); ?>